unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ScktComp, ExtCtrls;

type
  TForm1 = class(TForm)
    ClientSocket1: TClientSocket;
    ServerSocket1: TServerSocket;
    Memo1: TMemo;
    Timer1: TTimer;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure ServerSocetClientConnect(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure ServerSocetClientRead(Sender: TObject;
      Socket: TCustomWinSocket);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  hour,min,sec,msec: word;//  
  s: string;
  now: TDateTime;
implementation

{$R *.dfm}
{
             
  .

}//-----------------------------------------------------------------------------
procedure TForm1.FormCreate(Sender: TObject);
begin
     Form1.Memo1.Lines.Add('['+TimeToStr(Time)+']  ');
     Form1.Memo1.Lines.Add('['+TimeToStr(Time)+']  ...');
     Form1.Caption := '  ...';
     
     try
        Form1.ServerSocket1.Active := true;
        Form1.ClientSocket1.Address := '192.168.1.5';
        Form1.ClientSocket1.Active := true;
        Form1.ClientSocket1.Socket.SendText('\n');
     except
     end;
end;
//------------------------------------------------------------------------------
procedure TForm1.Timer1Timer(Sender: TObject);
begin
     now := Time;
     DecodeTime( now, hour, min, sec, msec);
     if hour < 10 then s := '0' + IntToStr(hour) else s := IntToStr(hour);
     s := s + ':';
     if min < 10 then s := s + '0' + IntToStr(min) else s := s + IntToStr(min);
     s := s + ':';
     if sec < 10 then s := s + '0' + IntToStr(sec) else s := s + IntToStr(sec);
     Form1.Label1.Caption := s;
     Form1.Label2.Caption := DateTostr(Date);
end;
//------------------------------------------------------------------------------
procedure TForm1.ServerSocetClientConnect(Sender: TObject; Socket: TCustomWinSocket);
begin
     Form1.Memo1.Lines.Add('...');
     Form1.Memo1.Lines.Add('[' + TimeToStr(Time) + ']' + '   ' + socket.RemoteHost);
end;
//------------------------------------------------------------------------------
procedure TForm1.ServerSocetClientRead(Sender: TObject; Socket: TCustomWinSocket);
begin
     Form1.Memo1.Lines.Add(Socket.ReceiveText());
end;

end.
